$(document).ready(function () {
    $('#gaugeContainer').jqxGauge({
        ranges: [{ startValue: 0, endValue: 15, style: { fill: '#C9C9C9', stroke: '#C9C9C9' }, endWidth: 3, startWidth: 1 },
        { startValue: 15, endValue: 30, style: { fill: '#FCF06A', stroke: '#FCF06A' }, endWidth: 6, startWidth: 3 },
        { startValue: 30, endValue: 40, style: { fill: '#FCA76A', stroke: '#FCA76A' }, endWidth: 9, startWidth: 6 },
        { startValue: 40, endValue: 50, style: { fill: '#FC6A6A', stroke: '#FC6A6A' }, endWidth: 12, startWidth: 9 }],
        ticksMinor: { interval: 1, size: '5%' },
        ticksMajor: { interval: 5, size: '9%' },
        max: 50,
        labels: { interval: 5 },
        caption: { value: "Temp °C" },
        width: 200,
        height: 200,
        animationDuration: 1200
    });

    setInterval(function () {   // Acquisition toutes les 5s            
        $("#val1").load('scripts/get_val1.php');
        val1 = parseInt($("#val1").html()) * 50 / 1023; // Mise � l'�chelle pour la jauge avec max = 50 si N = 675
        $('#gaugeContainer').jqxGauge({ value: val1 });
    }, 5000);

    $(":button#On").click(function () {
        $.get("scripts/update_led.php", {
            command: "1"
        });
    });

    $(":button#Off").click(function () {
        $.get("scripts/update_led.php", {
            command: "0"
        });
    });

});